@font-face {
    font-family: "OS";
    src: url(./../fonts/OpenSans-Light.ttf);
}

* {
    font-family: "OS" !important;
    color: white;
}

body {
    background-color: #333333;
}

.pink {
    background-color: pink;
}

.paleblue {
    background-color: paleturquoise;
}

.red {
    background-color: red;
}

.blue {
    background-color: blue;
}

.callout {
	border: none;
}
.hideAll {
    display: none;
}

.splash {
    display: block;
}

.header,
.footer {
    background-color: #111;
}

.footer {
    margin-top: 1rem;
}

.logo {
    padding: 1rem;
}

.logo > img {
    max-width: 8rem;
}

.nav {
}

.nav > ul {
    list-style: none;
    display: flex;
    justify-content: flex-end;
    margin: 0;
    line-height: 1;
    height: 100%;
}

.nav > ul > li {
    display: flex;
    justify-content: center;
    align-items: center;
    transition-timing-function: linear;
    transition-duration: 200ms;
    border: solid transparent;
    padding: 0 !important;
}

.nav > ul > li.active,
.nav > ul > li:hover {
    border-bottom: solid indianred;
}

.nav > ul > li > a {
    padding: 1rem 2rem;
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: lighter;
}

.copyright {
    padding: 0.5rem 1rem;
}

.contact {
    padding: 0.5rem 1rem;
    text-align: right;
}

.contact > a {
    color: white;
    text-decoration: none;
    margin-left: 2rem;
}

.contact > a:hover {
    color: indianred;
}

.section {
    margin-top: 1rem;
    background-color: #111111;
    padding: 1rem 0.5rem;
    box-shadow: rgb(0 0 0 / 0.25) 3px 3px 3px 0px;
}

.title {
    background: transparent;
    color: white;
    font-size: 1.25rem;
    padding: 0;
    text-transform: uppercase;
    margin-bottom: 1rem;
    position: relative;
    letter-spacing: 1px;
}

.title:before {
    content: "";
    width: 1rem;
    background: indianred;
    height: 1rem;
    position: absolute;
    left: -1rem;
    bottom: 0;
    top: 0;
    margin: auto;
}

.movie-poster {
}

.movie-info > .top {
    display: flex;
    justify-content: space-between;
}

.movie-info > .top > .info > .movie-title {
    font-size: 1.75rem;
    color: indianred;
    margin: 0;
}

.movie-info > .top > .info > .movie-subtitle {
    font-size: 1.25rem;
}

.movie-info > .top > .info > .rating-container > img {
    margin-right: 0.5rem;
}

.movie-info > .top > .category > .rated {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0;
    background-color: #333333;
    border: solid thin indianred;
    font-weight: bold;
}

.movie-info > .top > .category > .rated > small {
    display: block;
    font-size: 1rem;
    padding: 0.75rem 1.5rem;
    background: indianred;
    text-transform: uppercase;

}

.movie-info .subheading {
    margin-top: 1rem;
    font-size: 0.9rem;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-weight: bold;
    color: indianred;
}

.movie-info .subheading:before {
    content: "//";
    margin-right: 0.5rem;
}

.movie-info > .button-container {
    margin-top: 1.5rem;
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
}

.movie-info > .button-container > .button {
    min-width: 150px;
}

.cast,
.photo,
.movie,
.did-you-know {
    /* background-color: gray; */
}

.cast {
    margin-right: 1rem;
}

.cast > .cast-img {
    min-width: 10rem;
    min-height: 15rem;
    background-size: cover;
    background-position: center;
}

.cast > .cast-info > .name {
    font-size: 1rem;
    padding: 0.25rem 0.5rem;
    background-color: #333333;
    letter-spacing: 1px;
    padding: 0.5rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.cast > .cast-info > .name > small {
    display: block;
    line-height: 1.5;
    color: lightgrey;
    padding: 0.25rem 0 0 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* photo */
.photo {
    display: flex !important;
    justify-content: center;
    padding: 0 1rem;
}

.photo .callout {
    height: 10rem;
    background-color: gainsboro;
}

.did-you-know .callout {
    background-color: lightgray;
}

/* Posters */
.poster {
    padding: 0.75rem;
}
.slick-slider .poster {
    margin-right: 1.5rem;
    padding: 0;
}

.poster > .poster-image {
    background-size: cover;
    background-position: center;
    min-height: 16rem;
}

.poster > .poster-info {
    background: #333333;
    height: auto;
    display: grid;
    grid-template-areas: "poster-text poster-text poster-text poster-rating";
    grid-auto-columns: 1fr;
}

.poster > .poster-info > .poster-text {
    color: white;
    grid-area: poster-text;
    padding: 0.5rem 0.75rem;
}

.poster > .poster-info > .poster-text > .poster-title {
    font-size: 1rem;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.poster > .poster-info > .poster-text > .poster-subtitle {
    font-size: 0.75rem;
    color: lightgrey;
}

.poster > .poster-info > .poster-rating {
    background-color: indianred;
    grid-area: poster-rating;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    color: white;
    font-size: 1rem;
}

/* Posters - Responsive */
@media print, screen and (min-width: 64em) {
    .poster > .poster-image {
        min-height: 25rem;
    }
    

    .poster > .poster-info {
        background: #333333;
        height: auto;
        display: grid;
        grid-template-areas: "poster-text poster-text  poster-text poster-text poster-rating";
        grid-auto-columns: 1fr;
    }

    .poster > .poster-info > .poster-rating {
        font-size: 1.15rem;
    }
    
}


/* Slick */
.slick-dots li button:before {
    color: indianred !important;
    top: 0.5rem !important;
}

.slick-prev:before, .slick-next:before {
    color: indianred !important;
}

.slick-prev, .slick-next {
    top: auto !important;
    bottom: -2.75rem !important;
}

.slick-prev {
    left: 0 !important;
}

.slick-next {
    right: 0 !important;
}

.slick-slide {
    outline: none !important;
}

/* Buttons */
.button {
    background-color: #333;
    text-transform: uppercase;
    letter-spacing: 2px;
}

.button:hover {
    background-color: indianred;
}

.button:focus {
    background-color: firebrick;
}

/* Hover */
.splash, .movie, .cast {
    cursor: pointer;
}

.hover {
    transition: linear 150ms all;
}

.slick-slide img {
    max-height: 15rem;
}

/* Youtube */
.youtube-container {

}

.youtube-container .toggle {
    display: none;
}

.youtube-container .toggle:checked + .youtube-wrapper {
    visibility: visible;
}

.youtube-container .toggle:checked + .youtube-wrapper .youtube-frame {
    transform: translateY(0rem);
    opacity: 1;
}

.youtube-wrapper {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 1000;
    width: 80%;
    height: 80%;
    margin: auto;
    visibility: hidden;
    transition: linear 100ms;
}

.youtube-wrapper:after {
    content: "";
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: #000000bb;
    z-index: -1;
}

.youtube-wrapper iframe {
    width: 100%;
    height: 100%;
}

.youtube-wrapper .youtube-frame {
    height: 100%;
    width: 100%;
    background: #111;
    padding: 1rem;
    transform: scale(0.5) translateY(100rem);
    opacity: 0;
    transition: 400ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.youtube-container .toggle-cross {
    color: white;
    position: fixed;
    right: 0;
    top: 0;
    margin: 1rem;
    font-size: 3rem;
    line-height: 1;
    z-index: 1000;
    transition: linear 100ms;
    cursor: pointer;
}

.youtube-container .toggle-cross:hover {
    color: indianred;
}